@thesis{hrych,
  author = {Petr Hrych},
  title = {Real-time estimation of some physical parameters of trams relevant for onboard prediction of braking distance},
  address = {Prague},
  year = {2020},
  school = {CZECH TECHNICAL UNIVERSITY IN PRAGUE Faculty of Electrical Engineering Department of Control Engineering},
  type = {Masters thesis},
  URL = {https://dspace.cvut.cz/handle/10467/88068},
}

@article{bae_hs,
	title = {Road {Grade} and {Vehicle} {Parameter} {Estimation} for {Longitudinal} {Control} {Using} {GPS}},
	abstract = {This paper demonstrates two methods for obtaining an estimate of road grade using a Global Positioning System (GPS) system on a ground vehicle. In the first method, two antennae are used to directly measure the attitude of the vehicle in the pitch plane; in the second method, the ratio of vertical to horizontal velocity at a single antenna is used to estimate road grade. Both methods are implemented experimentally and their relative sensitivities to corruption by vehicle pitch and bounce motion characterized. The resulting grade measurements are then used together with engine torque information to produce estimates of mass, rolling resistance and aerodynamic drag from a simple longitudinal force balance. The resulting mass estimation consistently converged to within ± 2 \% of the true vehicle mass.},
	language = {en},
  year = {2001},
  month = {01},
  author = {Bae, Hong S and Ryu, Jihan and Gerdes, J Christian},
	file = {Bae et al. - Road Grade and Vehicle Parameter Estimation for Lo.pdf:C\:\\Users\\radac\\Zotero\\storage\\76D7Y6U3\\Bae et al. - Road Grade and Vehicle Parameter Estimation for Lo.pdf:application/pdf},
  journal = {IEEE Transactions on Intelligent Transportation Systems - TITS}
}


@article{improved_road_grade,
	title = {Improved road grade estimation using sensor fusion},
	abstract = {A method for estimation of the road grade based on standard mounted sensors in a heavy duty vehicle is presented. The method combines information from a barometer and a GPS with velocity and torque measurements of conven-tional type. The sensor information is adaptively integrated using extended Kalman filtering. This provides a systematic method for dealing with varying uncertainty in the sensors. The method can handle periods of missing or unreliable data from one or several sensors, e.g., occasions when the satellite coverage is low or when the brakes are applied.},
	author = {Jansson, Henrik and Kozica, Ermin and Sahlholm, Per and Johansson, Karl},
	month = jan,
	journal = {Proceedings of the 12th Reglermöte. Stockholm, Sweden},
	year = {2006},
	url = {https://www.researchgate.net/publication/228901131_Improved_road_grade_estimation_using_sensor_fusion},
	file = {Full Text PDF:C\:\\Users\\radac\\Zotero\\storage\\6MWV7Y73\\Jansson et al. - 2006 - Improved road grade estimation using sensor fusion.pdf:application/pdf},
}

@article{methods_in_vehicle,
	title = {Methods in {Vehicle} {Mass} and {Road} {Grade} {Estimation}},
	volume = {7},
	issn = {1946-4002},
	url = {https://www.sae.org/content/2014-01-0111/},
	doi = {10.4271/2014-01-0111},
	abstract = {Dynamic vehicle loads play critical roles for automotive controls including battery management, transmission shift scheduling, distance-to-empty predictions, and various active safety systems. Accurate real-time estimation of vehicle loads such as those due to vehicle mass and road grade can thus improve safety, efficiency, and performance. While several estimation methods have been proposed in literature, none have seen widespread adoption in current vehicle technologies despite their potential to significantly improve automotive controls. To understand and bridge the gap between research development and wider adoption of real-time load estimation, this paper assesses the accuracy and performance of four estimation methods that predict vehicle mass and/or road grade. These include recursive least squares (RLS) with multiple forgetting factors; extended Kalman filtering (EKF); a dynamic grade observer (DGO); and a method developed by this research: parallel mass and grade (PMG) estimation using a longitudinal accelerometer.},
	language = {en},
	number = {3},
	journal = {SAE International Journal of Passenger Cars - Mechanical Systems},
	author = {Kidambi, Narayanan and Harne, R. L. and Fujii, Yuji and Pietron, Gregory M. and Wang, K. W.},
	month = apr,
	year = {2014},
	pages = {981--991},
	file = {Kidambi et al. - 2014 - Methods in Vehicle Mass and Road Grade Estimation.pdf:C\:\\Users\\radac\\Zotero\\storage\\UWASUQCJ\\Kidambi et al. - 2014 - Methods in Vehicle Mass and Road Grade Estimation.pdf:application/pdf},
}

@article{johansson,
	title = {Road grade estimation for look-ahead vehicle control using multiple measurement runs},
	volume = {18},
	issn = {09670661},
	doi = {10.1016/j.conengprac.2009.09.007},
	abstract = {Look-ahead cruise controllers and other advanced driver assistance systems for heavy duty vehicles require high precision digital topographic road maps. This paper presents a road grade estimation algorithm for creation of such maps based on Kalman ﬁlter fusion of vehicle sensor data and GPS positioning information. The algorithm uses data from multiple passes over the same road to improve previously stored road grade estimates. Measurement data from three test vehicles and six experiments have been used to evaluate the quality of the obtained road grade estimate compared to a known reference. The obtained ﬁnal grade estimate compares favorably to one acquired from a specialized road grade measurement vehicle with a DGPS receiver and inertial measurement unit, with an average root mean square error of 0.17\% grade.},
	language = {en},
	number = {11},
	journal = {Control Engineering Practice},
	author = {Sahlholm, Per and Henrik Johansson, Karl},
	month = nov,
	year = {2010},
	pages = {1328--1341},
	file = {Sahlholm a Henrik Johansson - 2010 - Road grade estimation for look-ahead vehicle contr.pdf:C\:\\Users\\radac\\Zotero\\storage\\ZMHCSM86\\Sahlholm a Henrik Johansson - 2010 - Road grade estimation for look-ahead vehicle contr.pdf:application/pdf},
}


@article{SAHLHOLM200755,
	title = {A {SENSOR} {AND} {DATA} {FUSION} {ALGORITHM} {FOR} {ROAD} {GRADE} {ESTIMATION}},
	volume = {40},
	issn = {14746670},
	doi = {10.3182/20070820-3-US-2918.00010},
	abstract = {Emerging driver assistance systems, such as look-ahead cruise controllers for heavy duty vehicles, require high precision digital maps. This contribution presents a road grade estimation algorithm for fusion of GPS and vehicle real-time sensor data, with measurements from previous runs over the same road segment. The resulting road grade estimate is thus enhanced using measurements from additional traversals of known roads. Distributed data fusion is utilized to ensure that the storage requirement of known roads does not increase when additional measurements are processed. The implemented algorithm, which is based on extended Kalman ﬁltering and smoothing, is described in detail. Experiments on a Scania test vehicle show the advantages and some of the challenges with the proposed approach.},
	language = {en},
	number = {10},
	journal = {IFAC Proceedings Volumes},
	author = {Sahlholm, Per and Jansson, Henrik and Kozica, Ermin and Johansson, Karl Henrik},
	year = {2007},
	pages = {55--62},
	file = {Sahlholm et al. - 2007 - A SENSOR AND DATA FUSION ALGORITHM FOR ROAD GRADE .pdf:C\:\\Users\\radac\\Zotero\\storage\\R2DUT49C\\Sahlholm et al. - 2007 - A SENSOR AND DATA FUSION ALGORITHM FOR ROAD GRADE .pdf:application/pdf},
}

@article{OHNISHI2000235,
	title = {A study on road slope estimation for automatic transmission control},
	volume = {21},
	issn = {03894304},
	doi = {10.1016/S0389-4304(99)00097-1},
	abstract = {We studied two algorithms for road slope estimation to avoid needless shifting when vehicles with automatic transmissions are running uphill and downhill. One algorithm makes an estimation using a longitudinal acceleration sensor and the other makes an estimation using estimated vehicle output torque. The former is expected to estimate road slope more accurately than the latter, but the former is more expensive because an additional acceleration sensor is needed. The two algorithms were implemented on the transmission control unit and compared experimentally. We found the latter could estimate road slope accurately enough to avoid needless shifting. 2000 Society of Automotive Engineers of Japan, Inc. and Elsevier Science B.V. All rights reserved.},
	language = {en},
	number = {2},
	journal = {JSAE Review},
	author = {Hiroshi Ohnishi and Junichi Ishii and Mitsuo Kayano and Hiroshi Katayama},
	month = apr,
	year = {2000},
	pages = {235--240},
	file = {Ohnishi - 2000 - A study on road slope estimation for automatic tra.pdf:C\:\\Users\\radac\\Zotero\\storage\\8S8TFS4D\\Ohnishi - 2000 - A study on road slope estimation for automatic tra.pdf:application/pdf},
}

@book{automotive,
	address = {Berlin},
	edition = {2nd ed},
	title = {Automotive control systems: for engine, driveline, and vehicle},
	isbn = {978-3-540-23139-4},
	shorttitle = {Automotive control systems},
	language = {en},
	publisher = {Springer},
	author = {Kiencke, U. and Nielsen, Lars},
	year = {2005},
    note = {OCLC: ocm59615521},
	keywords = {Adaptive control systems, Automatic control, Automobiles, Motors Control systems},
	file = {Kiencke a Nielsen - 2005 - Automotive control systems for engine, driveline,.pdf:C\:\\Users\\radac\\Zotero\\storage\\J8C7IQ4W\\Kiencke a Nielsen - 2005 - Automotive control systems for engine, driveline,.pdf:application/pdf},
}

@book{Gustafsson2000AdaptiveFA,
	address = {Chichester New York},
	edition = {1st edition},
	title = {Adaptive {Filtering} and {Change} {Detection}},
	isbn = {978-0-471-49287-0},
	abstract = {Adaptive filtering is a branch of digital signal processing which enables the selective enhancement of desired elements of a signal and the reduction of undesired elements. Change detection is another kind of adaptive filtering for non-stationary signals, and is the basic tool in fault detection and diagnosis. This text takes the unique approach that change detection is a natural extension of adaptive filtering, and the broad coverage encompasses both the mathematical tools needed for adaptive filtering and change detection and the applications of the technology. Real engineering applications covered include aircraft, automotive, communication systems, signal processing and automatic control problems. The unique integration of both theory and practical applications makes this book a valuable resource combining information otherwise only available in separate sources Comprehensive coverage includes many examples and case studies to illustrate the ideas and show what can be achievedUniquely integrates applications to airborne, automotive and communications systems with the essential mathematical toolsAccompanying Matlab toolbox available on the web illustrating the main ideas and enabling the reader to do simulations using all the figures and numerical examples featured This text would prove to be an essential reference for postgraduates and researchers studying digital signal processing as well as practising digital signal processing engineers.},
	language = {English},
	publisher = {Wiley},
	author = {Gustafsson, Fredrik},
	month = sep,
	year = {2000},
}

@article{Loi_braking,
	title = {Onboard {Model}-based {Prediction} of {Tram} {Braking} {Distance}},
	volume = {53},
	issn = {24058963},
	doi = {10.1016/j.ifacol.2020.12.2006},
	language = {en},
	number = {2},
	journal = {IFAC-PapersOnLine},
	author = {Do, Loi and Herman, Ivo and Hurák, Zdeněk},
	year = {2020},
	pages = {15047--15052},
	file = {Do et al. - 2020 - Onboard Model-based Prediction of Tram Braking Dis.pdf:C\:\\Users\\radac\\Zotero\\storage\\7JVWG7T2\\Do et al. - 2020 - Onboard Model-based Prediction of Tram Braking Dis.pdf:application/pdf},
}


@misc{geoportal,
  journal = {GeoPortalPraha},
  title = {Digitální model povrchu - 1m},
  address = {Praha},
  medium = {online},
  urldate = {2023-05-21},
  URL = {https://www.geoportalpraha.cz/cs/data/otevrena-data/1164EC41-5008-4824-B15B-3D033FED9DD1},
}

@article{Albrecht,
	title = {The key principles of optimal train control—{Part} 1: {Formulation} of the model, strategies of optimal type, evolutionary lines, location of optimal switching points},
	volume = {94},
	issn = {01912615},
	shorttitle = {The key principles of optimal train control—{Part} 1},
	doi = {10.1016/j.trb.2015.07.023},
	language = {en},
	journal = {Transportation Research Part B: Methodological},
	author = {Albrecht, Amie and Howlett, Phil and Pudney, Peter and Vu, Xuan and Zhou, Peng},
	month = dec,
	year = {2016},
	pages = {482--508},
	file = {Albrecht et al. - 2016 - The key principles of optimal train control—Part 1.pdf:C\:\\Users\\radac\\Zotero\\storage\\BQ4WWM2V\\Albrecht et al. - 2016 - The key principles of optimal train control—Part 1.pdf:application/pdf},
}


@book{Simon,
	address = {Hoboken, N.J},
	edition = {1st edition},
	title = {Optimal {State} {Estimation}: {Kalman}, {H} {Infinity}, and {Nonlinear} {Approaches}},
	isbn = {978-0-471-70858-2},
	shorttitle = {Optimal {State} {Estimation}},
	abstract = {A bottom-up approach that enables readers to master and apply the latest techniques in state estimation  This book offers the best mathematical approaches to estimating the state of a general system. The author presents state estimation theory clearly and rigorously, providing the right amount of advanced material, recent research results, and references to enable the reader to apply state estimation techniques confidently across a variety of fields in science and engineering.  While there are other textbooks that treat state estimation, this one offers special features and a unique perspective and pedagogical approach that speed learning: * Straightforward, bottom-up approach begins with basic concepts and then builds step by step to more advanced topics for a clear understanding of state estimation * Simple examples and problems that require only paper and pen to solve lead to an intuitive understanding of how theory works in practice * MATLAB(r)-based source code that corresponds to examples in the book, available on the author's Web site, enables readers to recreate results and experiment with other simulation setups and parameters  Armed with a solid foundation in the basics, readers are presented with a careful treatment of advanced topics, including unscented filtering, high order nonlinear filtering, particle filtering, constrained state estimation, reduced order filtering, robust Kalman filtering, and mixed Kalman/H? filtering.  Problems at the end of each chapter include both written exercises and computer exercises. Written exercises focus on improving the reader's understanding of theory and key concepts, whereas computer exercises help readers apply theory to problems similar to ones they are likely to encounter in industry. With its expert blend of theory and practice, coupled with its presentation of recent research results, Optimal State Estimation is strongly recommended for undergraduate and graduate-level courses in optimal control and state estimation theory. It also serves as a reference for engineers and science professionals across a wide array of industries.},
	language = {English},
	publisher = {Wiley-Interscience},
	author = {Simon, Dan},
	month = jun,
	year = {2006},
}